Subject: Re: [PATCH] mac80211: ath9k: Use RCU protection calling ieee80211_get_tx_rates

From: Calvin Owens <[email-masked]>
Date: Wed, 12 Jun 2013 02:56:34 -0500

On Tuesday 06/11 at 21:55 +0200, Johannes Berg wrote:
> Now the subject should no longer say "mac80211:" :)
> 
> However... given that ieee80211_get_tx_rates() actually *copies* the
> rates into the parameter, I guess it should do the rcu_read_lock()
> internally. I guess I wasn't paying attention previously. Felix?

I thought about that, but it seemed too simple, so I assumed I was
missing something. ;)

I'll send a patch per above. That makes the header file update
unnecessary too.

> johannes